ChangeSet 1.1254.4.35, 2003/06/04 12:33:45-07:00, greg@kroah.com

[PATCH] PCI: remove usage of pci_for_each_dev() in drivers/pci/hotplug/ibmphp_core.c


 drivers/pci/hotplug/ibmphp_core.c |   10 ++++------
 1 files changed, 4 insertions(+), 6 deletions(-)


diff -Nru a/drivers/pci/hotplug/ibmphp_core.c b/drivers/pci/hotplug/ibmphp_core.c
--- a/drivers/pci/hotplug/ibmphp_core.c	Wed Jun  4 18:09:32 2003
+++ b/drivers/pci/hotplug/ibmphp_core.c	Wed Jun  4 18:09:32 2003
@@ -898,7 +898,7 @@
 	int rc;
 	u8 speed;
 	u8 cmd = 0x0;
-	struct pci_dev * dev;
+	struct pci_dev *dev = NULL;
 	int retval;
 
 	debug ("%s - entry slot # %d \n", __FUNCTION__, slot_cur->number);
@@ -946,11 +946,9 @@
 				break;
 			case BUS_SPEED_133:
 				/* This is to take care of the bug in CIOBX chip */
-				pci_for_each_dev(dev) {
-					if ((dev->vendor == PCI_VENDOR_ID_SERVERWORKS) &&
-					    (dev->device == 0x0101))
-						ibmphp_hpc_writeslot (slot_cur, HPC_BUS_100PCIXMODE);
-				}
+				while ((dev = pci_find_device(PCI_VENDOR_ID_SERVERWORKS,
+							      0x0101, dev)) != NULL)
+					ibmphp_hpc_writeslot (slot_cur, HPC_BUS_100PCIXMODE);
 				cmd = HPC_BUS_133PCIXMODE;
 				break;
 			default:
